import { DropdownItem } from "@grapecity/core-ui-react";
import { IGcDocumentContextMenuContext } from "./types";
import GcPdfViewer from "..";
import { GcSelectionPoint } from "../Models/GcMeasurementTypes";
import { i18n } from 'i18next';
export declare class GcDocumentContextMenu {
    viewer: GcPdfViewer;
    container: HTMLElement;
    context: IGcDocumentContextMenuContext;
    docViewer: any;
    private _openParams;
    _targetAnnotationId: string;
    in17n: i18n;
    static register(viewer: GcPdfViewer, container: HTMLElement, context: IGcDocumentContextMenuContext, docViewer: any): void;
    static unregister(container: HTMLElement): void;
    mousePosition: GcSelectionPoint;
    insertPosition: GcSelectionPoint;
    private constructor();
    private open;
    private openInternal;
    private close;
    private getDropdownItems;
    addShowCommentPanel(items: DropdownItem[]): void;
    addPasteAction(items: DropdownItem[]): void;
    addAnnotationMenuItems(items: DropdownItem[], annotationId: string): void;
    addCopyText(items: DropdownItem[], selectionCopier: any): void;
    addPrint(items: DropdownItem[], selectionCopier: any): void;
    addStickyNote(items: DropdownItem[]): void;
    private _convertFromGlobalPoint;
}
