import { SearchResult, FindOptions } from "./types";
import PdfReportPlugin from "../plugin";
//@ts-ignore
import { PluginModel, SearchFeature } from "@grapecity/viewer-core";
export declare class GcPdfSearcher {
    private readonly _plugin;
    _cancellation: {
        promise: Promise<any>;
        resolve: Function;
        reject: Function;
    };
    _extractTextPromises: any[];
    _normalizedQuery: string;
    _pageContents: string[];
    _pageContentsEndings: {
        [x: number]: boolean;
    }[];
    _pageMatches: number[][];
    _pageMatchesLength: number[][];
    _pageAcroFormResults: {
        [x: number]: SearchResult[] | null;
    };
    _pagesCount: number;
    _pdfDocument: any;
    _rawQuery: string;
    _state: {
        query: string;
        phraseSearch: boolean;
        caseSensitive: boolean;
        entireWord: boolean;
        findPrevious: boolean;
        startsWith: boolean;
        endsWith: boolean;
        wildcards: boolean;
        proximity: boolean;
        highlightAll: boolean;
    };
    _totalResultsCount: number;
    _totalResultsCountPromise: Promise<number> | null;
    _firstSearchResult: SearchResult;
    _selectedSearchResult: SearchResult;
    constructor(_plugin: PdfReportPlugin);
    toggle(): void;
    close(): void;
    updateUIState(state: any, previous: any, matchesCount: any): void;
    nextSearchResult(result: SearchResult, cancellation: any): Promise<SearchResult>;
    isResultSelected(result: SearchResult): boolean;
    applyHighlight(): void;
    resetResults(): void;
    get state(): {
        query: string;
        phraseSearch: boolean;
        caseSensitive: boolean;
        entireWord: boolean;
        findPrevious: boolean;
        startsWith: boolean;
        endsWith: boolean;
        wildcards: boolean;
        proximity: boolean;
        highlightAll: boolean;
    };
    get highlightAll(): boolean;
    set highlightAll(checked: boolean);
    get findController(): any;
    updateAllPages(): void;
    get totalResultsCount(): number;
    get totalResultsCountPromise(): Promise<number> | null;
//@ts-ignore
    search(options: FindOptions, startFrom: any): AsyncIterableIterator<SearchResult>;
    cancel(): void;
    _initialize(): void;
    get _query(): string;
    _extractText(): void;
    _reset(): void;
    _prepareMatches(matchesWithLength: any, matches: any, matchesLength: any): void;
    _isEntireWord(content: any, lineEndings: {
        [x: number]: boolean;
    }, startIdx: any, length: any): boolean;
    _isStartsWith(content: any, lineEndings: {
        [x: number]: boolean;
    }, startIdx: any, length: any): boolean;
    _isEndsWith(content: any, lineEndings: {
        [x: number]: boolean;
    }, startIdx: any, length: any): boolean;
    _calculatePhraseMatch(query: string, pageContentsEndings: {
        [x: number]: boolean;
    }, pageContent: string, entireWord: boolean, startsWith: boolean, endsWith: boolean, wildcards: boolean): {
        matches: number[];
        matchesLength: number[];
    };
    findWordEndIndex(startIndex: number, pageContent: string, lineEndings: {
        [x: number]: boolean;
    }): number;
    _calculateWordMatch(query: string, pageContentsEndings: {
        [x: number]: boolean;
    }, pageContent: any, entireWord: any, startsWith: any, endsWith: any, wildcards: any): {
        matches: number[];
        matchesLength: number[];
    };
    _calculateMatch(pageContent: string, pageContentsEndings: {
        [x: number]: boolean;
    }): {
        matches: number[];
        matchesLength: number[];
    };
    _proximityCheckAllWordsInResults(queryArray: RegExpMatchArray, matchIndicesToKeep: {
        matchIndex: number;
        matchLength: number;
    }[], pageContent: string): boolean;
    _countWordsBetweenTerms(startInd: number, endInd: number, pageContent: string): number;
    _findMathIndexByQuery(pageContent: string, mathes: number[], mathesLength: number[], subquery: string, startIndex: number): {
        mathIndex: number;
        mathLength: number;
    };
    renderHighlightPage(page: PluginModel.IPageData, results: SearchFeature.SearchResult[]): PluginModel.PageView;
}
