export declare class ViewerOptions {
    constructor(options?: Partial<ViewerOptions>);
    editorDefaults: {
        textAnnotation?: {
            color?: string;
            contents?: string;
        };
        stickyNote: {
            color?: string;
            contents?: string;
        };
    };
    snapAlignment: true | false | {
        tolerance: number | {
            horizontal: number | false;
            vertical: number | false;
        };
        margin: false | true | number | {
            horizontal: number | boolean;
            vertical: number | boolean;
        };
        center: false | true | {
            horizontal: boolean;
            vertical: boolean;
        };
    };
    useNativeContextMenu: boolean;
    onBeforeOpenContextMenu?: Function;
    onBeforeCloseContextMenu?: Function;
    userName?: string;
    baseUrl?: string;
    buttons?: string[] | "all" | 'none';
    caret?: true | false | {
        caretBlinkTime: number;
        caretStopBlinkTime: number;
        color: string;
        width: number;
        allowForPan: boolean;
    };
    coordinatesOrigin?: 'TopLeft' | 'BottomLeft';
    disablePageLabels?: boolean;
    externalLinkTarget?: 'blank' | 'self' | 'parent' | 'top' | 'none';
    language?: 'en' | string;
    userData: any;
    useCanvasForSelection: any;
    renderInteractiveForms: boolean;
    keepFileData: boolean;
    renderer: 'canvas' | 'svg';
    friendlyFileName?: string;
    file?: string | any;
    password: string;
    restoreViewStateOnLoad?: false | true | {
        trackViewMode?: boolean;
        trackMouseMode?: boolean;
        trackScale?: boolean;
        trackPageRotation?: boolean;
        trackFullScreen?: boolean;
        trackTheme?: boolean;
        trackSidebar?: boolean;
        trackSidebarWidth?: boolean;
        trackFile?: boolean;
    };
    documentListUrl: string;
    workerSrc: string;
    zoomByMouseWheel: {
        always: boolean;
        ctrlKey: boolean;
        metaKey: boolean;
    };
    theme: string;
    themes: string[];
    hideAnnotationTypes?: ('Text' | 'Link' | 'FreeText' | 'Line' | 'Square' | 'Circle' | 'Polygon' | 'Polyline' | 'Ink' | 'Popup' | 'FileAttachment' | 'Sound' | 'ThreadBead' | 'RadioButton' | 'Checkbox' | 'PushButton' | 'Choice' | 'TextWidget' | 'Redact' | 'Signature')[] | 'All' | 'None';
    cMapUrl?: string;
    cMapPacked?: boolean;
    supportApi?: string | {
        apiUrl: string;
        docBaseUrl: string;
        suppressInfoMessages?: boolean;
        suppressErrorMessages?: boolean;
    };
    shortcuts: any;
}
